summaryrefslogtreecommitdiff
path: root/yocto-poky/meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init
diff options
context:
space:
mode:
authorPatrick Williams <patrick@stwcx.xyz>2015-09-15 22:41:29 +0300
committerPatrick Williams <patrick@stwcx.xyz>2015-09-15 22:41:29 +0300
commit21f9b84b4b729fbd7acbd465e7a3f726e4d20f91 (patch)
treeeb2d091d427ca0813b445509d59cc8e27e8ad25f /yocto-poky/meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init
parent101cef31e2bf54c678501155cd2106251acbd076 (diff)
parentc124f4f2e04dca16a428a76c89677328bc7bf908 (diff)
downloadopenbmc-21f9b84b4b729fbd7acbd465e7a3f726e4d20f91.tar.xz
Merge commit 'c124f4f2e04dca16a428a76c89677328bc7bf908' as 'yocto-poky'
Diffstat (limited to 'yocto-poky/meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init')
-rw-r--r--yocto-poky/meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init55
1 files changed, 55 insertions, 0 deletions
diff --git a/yocto-poky/meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init b/yocto-poky/meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init
new file mode 100644
index 000000000..21f0273e2
--- /dev/null
+++ b/yocto-poky/meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+set -e
+
+if [ -x /usr/bin/qtdemo ]; then
+ QTDEMO="qtdemo"
+else
+ QTDEMO="qtdemoE -qws"
+fi
+
+case "$1" in
+ start)
+ echo "Starting qtdemo"
+ if [ -f /etc/profile.d/tslib.sh ]; then
+ . /etc/profile.d/tslib.sh
+ fi
+ if [ -e "$TSLIB_TSDEVICE" ]; then
+ if [ ! -f /etc/pointercal ]; then
+ /usr/bin/ts_calibrate
+ fi
+ if [ "$QTDEMO" = "qtdemo" ]; then
+ Xorg &
+ export DISPLAY=:0
+ $QTDEMO &
+ else
+ QWS_MOUSE_PROTO=tslib:$TSLIB_TSDEVICE $QTDEMO &
+ fi
+ else
+ if [ "$QTDEMO" = "qtdemo" ]; then
+ Xorg &
+ export DISPLAY=:0
+ fi
+ $QTDEMO &
+ fi
+ ;;
+ stop)
+ echo "Stopping qtdemo"
+ if [ "$QTDEMO" = "qtdemo" ]; then
+ killall Xorg
+ killall qtdemo
+ else
+ killall qtdemoE
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 { start | stop | restart }" >&2
+ exit 1
+ ;;
+esac
+
+exit 0